textures/UJE_carentan/duske
{
	qer_editorimage textures/skies/duske.jpg
	surfaceparm sky
	surfaceparm noimpact
  	q3map_nofog
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	//q3map_surfacelight 195
	q3map_skylight 200 3
	q3map_sun 1 0.8 0.6 99 10 40
	skyparms env/duske/duske - -
}
textures/UJE_carentan/treeline_mixeda	// a mixed treeline, tiling - no ends.
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}
textures/UJE_carentan/fog
{
	qer_editorimage textures/UJE_carentan/qer_fog.tga
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.09411 0.09803 0.12549 ) 3192
}
textures/UJE_carentan/metal_fence_01a
{
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nomarks
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm pointlight
	cull none
    
	implicitMask -
}
textures/UJE_carentan/waternodraw
{
	qer_editorimage textures/common/nodrawnonsolid.tga
	qer_trans .5
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	surfaceparm nomarks
}
textures/UJE_carentan/canal_water
{
	nocompress
	qer_editorimage textures/UJE_carentan/xa.jpg
	qer_trans .25
	q3map_globaltexture

	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter

	tessSize 256
	cull disable
	deformVertexes wave 160 sin 0 10 0 .3
	{ 
		map textures/UJE_carentan/xa.jpg
		rgbgen identity
		tcmod scroll 0 -.05		// paused
	}

	{ 
		map textures/UJE_carentan/xa.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA		// added
		rgbgen wave sin .4 0 0 .5
		alphaGen vertex							// added
		tcmod scale .7 .7		// paused
		// tcmod scroll .03 .02	
		tcmod scroll 0 -.2		// paused
		depthWrite			// try to avoid the funny effect with smoke etc
	}	

	{ 
		map textures/UJE_carentan/xa.jpg
		blendFunc GL_src_alpha GL_ONE // gl_zero_minus_src_alpha invalid
		alphagen const .25		
		tcmod scale .2 .2
		// tcmod scroll -.03 -.02	
		tcmod scroll 0 .01
	}

	{ 
		map $lightmap
		blendfunc filter
		// blendfunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		// alphaGen vertex
	}
}
textures/UJE_carentan/grass_sand_flat
{
	qer_editorimage textures/desert_sd/grass_sand_flat.tga
	implicitMap textures/desert_sd/grass_sand_flat.tga

	surfaceparm grasssteps
	surfaceparm landmine
	{
	map $lightmap
	rgbGen identityLighting
	}
	{
	map textures/desert_sd/grass_sand_flat.tga
	rgbGen identity
	}
}
textures/UJE_carentan/sand_disturb_desert
{
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
	implicitMap textures/desert_sd/sand_disturb_desert.tga
	
	surfaceparm grasssteps
	surfaceparm landmine
	{
	map $lightmap
	rgbGen identityLighting
	}
	{
	map textures/desert_sd/sand_disturb_desert.tga
	rgbGen identity
	}
}
textures/UJE_carentan/sand_gravels_bright
{
	qer_editorimage textures/desert_sd/sand_gravels_bright.tga
	implicitMap textures/desert_sd/sand_gravels_bright.tga

	surfaceparm grasssteps
	surfaceparm landmine
	{
	map $lightmap
	rgbGen identityLighting
	}
	{
	map textures/desert_sd/sand_gravels_bright.tga
	rgbGen identity
	}
}
textures/UJE_carentan/tobruk_windows_bright
{
	qer_editorimage textures/UJE_carentan/tobruk_windows_on2.tga
	q3map_surfacelight 120
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJE_carentan/tobruk_windows_on2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/UJE_carentan/tobruk_windows_on1.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/UJE_carentan/tobruk_windows_medium
{
	qer_editorimage textures/UJE_carentan/tobruk_windows_on1.tga
	q3map_surfacelight 45
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJE_carentan/tobruk_windows_off.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/UJE_carentan/tobruk_windows_on1.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/UJE_carentan/sand_patchnoise
{
	qer_editorimage textures/temperate_sd/sand_patchnoise.tga
	implicitMap textures/temperate_sd/sand_patchnoise.tga

	surfaceparm landmine
	{
	map $lightmap
	rgbGen identityLighting
	}
	{
	map textures/temperate_sd/sand_patchnoise.tga
	rgbGen identity
	}
}
textures/UJE_carentan/terrain_0
{
      qer_editorimage textures/desert_sd/rock_edged_smooth.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm landmine
	{
		map textures/desert_sd/rock_edged_smooth.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_carentan/terrain_1
{
      qer_editorimage textures/desert_sd/grass_sand_flat.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		map textures/desert_sd/grass_sand_flat.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_carentan/terrain_2
{
      qer_editorimage textures/desert_sd/sand_wave_desert.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_carentan/terrain_3
{
      qer_editorimage textures/temperate_sd/sand_patchnoise.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	surfaceparm landmine
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm landmine
	{
		map textures/temperate_sd/sand_patchnoise.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_carentan/terrain_0to1
{
      qer_editorimage textures/UJE_carentan/qer0to1.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm gravelsteps
	surfaceparm landmine
	
	{
		map textures/desert_sd/rock_edged_smooth.tga
	}
	{
		map textures/desert_sd/grass_sand_flat.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_carentan/terrain_0to2
{
      qer_editorimage textures/UJE_carentan/qer0to2.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm gravelsteps
	surfaceparm landmine
	
	{
		map textures/desert_sd/rock_edged_smooth.tga
	}
	{
		map textures/desert_sd/sand_wave_desert.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_carentan/terrain_0to3
{
      qer_editorimage textures/UJE_carentan/qer0to3.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm landmine
	
	{
		map textures/desert_sd/sand_patchy.tga
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_carentan/terrain_1to2
{
      qer_editorimage textures/UJE_carentan/qer1to2.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm gravelsteps
	surfaceparm landmine
	
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/grass_sand_flat.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_carentan/terrain_1to3
{
      qer_editorimage textures/UJE_carentan/qer1to3.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	surfaceparm landmine
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm gravelsteps
	surfaceparm landmine
	
	{
		map textures/temperate_sd/sand_patchnoise.tga
	}
	{
		map textures/desert_sd/grass_sand_flat.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_carentan/terrain_2to3
{
      qer_editorimage textures/UJE_carentan/qer2to3.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm gravelsteps
	surfaceparm landmine
	
	{
		map textures/desert_sd/sand_wave_desert.tga
	}
	{
		map textures/desert_sd/sand_patchy.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_carentan/UJE_carentan_boom
{
	qer_trans 0.85
	qer_editorimage textures/UJE_carentan/boom.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/UJE_carentan/boom.tga
}
//---------------------------------------------------
// common/alpha shaders copied from Sock's terrain-tutorial-map
// http://www.simonoc.com
//
textures/UJE_carentan/alpha_000
{
        qer_editorimage textures/UJE_carentan/qer_alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_carentan/alpha_025
{
        qer_editorimage textures/UJE_carentan/qer_alpha_025.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_carentan/alpha_050
{
        qer_editorimage textures/UJE_carentan/qer_alpha_050.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_carentan/alpha_075
{
        qer_editorimage textures/UJE_carentan/qer_alpha_075.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_carentan/alpha_085
{
        qer_editorimage textures/UJE_carentan/qer_alpha_085.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_carentan/alpha_095
{
        qer_editorimage textures/UJE_carentan/qer_alpha_085.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.95
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_carentan/alpha_100
{
        qer_editorimage textures/UJE_carentan/qer_alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
